package Microsoft::AdCenter::V8::CustomerManagementService::LCID;
# Copyright (C) 2011 Xerxes Tsang
# This program is free software; you can redistribute it and/or modify it
# under the terms of Perl Artistic License.

use strict;
use warnings;

=head1 NAME

Microsoft::AdCenter::V8::CustomerManagementService::LCID - Represents "LCID" in Microsoft AdCenter Customer Management Service.

=head1 SYNOPSIS

See L<http://msdn.microsoft.com/en-us/library/ee730327.aspx> for documentation of the various data objects.

=head1 ENUMERATION VALUES

    ArabicSaudiArabia
    ChineseHongKong
    ChineseTaiwan
    DanishDenmark
    DutchNetherlands
    EnglishAustralia
    EnglishCanada
    EnglishIndia
    EnglishIndonesia
    EnglishIreland
    EnglishMalaysia
    EnglishNewZeeland
    EnglishPhilippines
    EnglishSingapore
    EnglishThailand
    EnglishUK
    EnglishUS
    EnglishVietnam
    FinnishFinland
    FrenchCanada
    FrenchFrance
    GermanAustria
    GermanGermany
    GermanSwitzerland
    HebrewIsrael
    ItalianItaly
    KoreanKorea
    NorwegianNorway
    PortuguesePortugal
    RussianRussia
    SpanishArgentina
    SpanishChile
    SpanishColombia
    SpanishMexico
    SpanishPeru
    SpanishSpain
    SpanishVenezuela
    SwedishSweden

=cut

sub ArabicSaudiArabia {
    return 'ArabicSaudiArabia';
}

sub ChineseHongKong {
    return 'ChineseHongKong';
}

sub ChineseTaiwan {
    return 'ChineseTaiwan';
}

sub DanishDenmark {
    return 'DanishDenmark';
}

sub DutchNetherlands {
    return 'DutchNetherlands';
}

sub EnglishAustralia {
    return 'EnglishAustralia';
}

sub EnglishCanada {
    return 'EnglishCanada';
}

sub EnglishIndia {
    return 'EnglishIndia';
}

sub EnglishIndonesia {
    return 'EnglishIndonesia';
}

sub EnglishIreland {
    return 'EnglishIreland';
}

sub EnglishMalaysia {
    return 'EnglishMalaysia';
}

sub EnglishNewZeeland {
    return 'EnglishNewZeeland';
}

sub EnglishPhilippines {
    return 'EnglishPhilippines';
}

sub EnglishSingapore {
    return 'EnglishSingapore';
}

sub EnglishThailand {
    return 'EnglishThailand';
}

sub EnglishUK {
    return 'EnglishUK';
}

sub EnglishUS {
    return 'EnglishUS';
}

sub EnglishVietnam {
    return 'EnglishVietnam';
}

sub FinnishFinland {
    return 'FinnishFinland';
}

sub FrenchCanada {
    return 'FrenchCanada';
}

sub FrenchFrance {
    return 'FrenchFrance';
}

sub GermanAustria {
    return 'GermanAustria';
}

sub GermanGermany {
    return 'GermanGermany';
}

sub GermanSwitzerland {
    return 'GermanSwitzerland';
}

sub HebrewIsrael {
    return 'HebrewIsrael';
}

sub ItalianItaly {
    return 'ItalianItaly';
}

sub KoreanKorea {
    return 'KoreanKorea';
}

sub NorwegianNorway {
    return 'NorwegianNorway';
}

sub PortuguesePortugal {
    return 'PortuguesePortugal';
}

sub RussianRussia {
    return 'RussianRussia';
}

sub SpanishArgentina {
    return 'SpanishArgentina';
}

sub SpanishChile {
    return 'SpanishChile';
}

sub SpanishColombia {
    return 'SpanishColombia';
}

sub SpanishMexico {
    return 'SpanishMexico';
}

sub SpanishPeru {
    return 'SpanishPeru';
}

sub SpanishSpain {
    return 'SpanishSpain';
}

sub SpanishVenezuela {
    return 'SpanishVenezuela';
}

sub SwedishSweden {
    return 'SwedishSweden';
}

1;
